com.sun.syndication.io.impl

## Class PluginManager

- java.lang.Object
- - com.sun.syndication.io.impl.PluginManager

Direct Known Subclasses:
  Converters, FeedGenerators, FeedParsers, ModuleGenerators, ModuleParsers

    public abstract class PluginManager
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `PluginManager(java.lang.String propertyKey)` Creates a PluginManager
`protected` `PluginManager(java.lang.String propertyKey, WireFeedParser parentParser, WireFeedGenerator parentGenerator)`

### Method Summary

Methods
`protected abstract java.lang.String` `getKey(java.lang.Object obj)`
`protected java.util.List` `getKeys()`
`protected java.lang.Object` `getPlugin(java.lang.String key)`
`protected java.util.Map` `getPluginMap()`
`protected java.util.List` `getPlugins()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginManager

    protected PluginManager(java.lang.String propertyKey)

Creates a PluginManager

Parameters:
  `propertyKey` - property key defining the plugins classes

#### PluginManager

    protected PluginManager(java.lang.String propertyKey,
                 WireFeedParser parentParser,
                 WireFeedGenerator parentGenerator)

### Method Detail

#### getKey

    protected abstract java.lang.String getKey(java.lang.Object obj)

#### getKeys

    protected java.util.List getKeys()

#### getPlugins

    protected java.util.List getPlugins()

#### getPluginMap

    protected java.util.Map getPluginMap()

#### getPlugin

    protected java.lang.Object getPlugin(java.lang.String key)